:root {
  --_1bpha6d0: "Plus Jakarta Sans", sans-serif;
  --_1bpha6d1: Source Code Pro, Firacode, Hasklig, Menlo, monospace;
  --_1bpha6d2: normal 10px/14px "Plus Jakarta Sans", sans-serif;
  --_1bpha6d3: normal 12px/16px "Plus Jakarta Sans", sans-serif;
  --_1bpha6d4: normal 14px/24px "Plus Jakarta Sans", sans-serif;
  --_1bpha6d5: normal 16px/22px "Plus Jakarta Sans", sans-serif;
  --_1bpha6d6: 400;
  --_1bpha6d7: 700;
  --_1bpha6d8: 4px;
  --_1bpha6d9: 8px;
  --_1bpha6da: 16px;
  --_1bpha6db: 100%;
  --_1bpha6dc: 44px;
  --_1bpha6dd: opacity 300ms ease, transform 300ms ease;
  --_1bpha6de: opacity 200ms ease, transform 200ms ease;
  --_1bpha6df: opacity 100ms ease, transform 100ms ease;
  --_1bpha6dg: 0;
  --_1bpha6dh: 2px;
  --_1bpha6di: 4px;
  --_1bpha6dj: 8px;
  --_1bpha6dk: 12px;
  --_1bpha6dl: 16px;
  --_1bpha6dm: 20px;
  --_1bpha6dn: 24px;
  --_1bpha6do: 32px;
  --_1bpha6dp: 40px;
  --_1bpha6dq: 28px;
  --_1bpha6dr: 32px;
  --_1bpha6ds: 36px;
}
:root {
  --_17o8sd60: hsla(0, 0%, 9%, 1);
  --_17o8sd61: color-mix(in srgb, hsla(211, 100%, 15%, 1) 50%, hsla(211, 100%, 42%, 1));
  --_17o8sd62: hsla(211, 100%, 42%, 1);
  --_17o8sd63: hsla(174, 91%, 25%, 1);
  --_17o8sd64: hsla(212, 100%, 41%, 1);
  --_17o8sd65: hsla(212, 100%, 48%, 1);
  --_17o8sd66: hsla(274, 71%, 43%, 1);
  --_17o8sd67: hsla(0, 0%, 9%, 1);
  --_17o8sd68: hsla(0, 0%, 93%, 1);
  --_17o8sd69: hsla(0, 0%, 56%, 1);
  --_17o8sd6a: hsla(358, 66%, 48%, 1);
  --_17o8sd6b: hsla(212, 100%, 41%, 1);
  --_17o8sd6c: hsla(174, 91%, 25%, 1);
  --_17o8sd6d: hsla(0, 0%, 93%, 1);
  --_17o8sd6e: hsla(212, 100%, 41%, 1);
  --_17o8sd6f: color-mix(in srgb, #fff 10%, hsla(212, 100%, 41%, 1));
  --_17o8sd6g: hsla(0, 0%, 9%, 1);
  --_17o8sd6h: color-mix(in srgb, #fff 10%, hsla(0, 0%, 9%, 1));
  --_17o8sd6i: hsla(168, 70%, 90%, 1);
  --_17o8sd6j: hsla(0, 100%, 95%, 1);
  --_17o8sd6k: color-mix(in srgb, hsla(0, 0%, 95%, 1) 50%, hsla(0,0%,98%,1));
  --_17o8sd6l: color-mix(in srgb, hsla(0,0%,98%,1) 50%, hsla(0,0%,100%,1));
  --_17o8sd6m: hsla(0,0%,100%,1);
  --_17o8sd6n: hsla(0, 0%, 95%, 1);
  --_17o8sd6o: hsla(0, 0%, 9%, 1);
  --_17o8sd6p: hsla(209, 100%, 90%, 1);
  --_17o8sd6q: color-mix(in srgb, hsla(0,0%,98%,1) 50%, hsla(0,0%,100%,1));
  --_17o8sd6r: hsla(0, 0%, 92%, 1);
  --_17o8sd6s: hsla(212, 100%, 41%, 1);
  --_17o8sd6t: hsla(0, 0%, 9%, 1);
  --_17o8sd6u: hsla(208, 100%, 66%, 1);
  --_17o8sd6v: 0 1px 2px rgb(18, 21, 26, 0.05), 0 6px 18px -6px rgb(18, 21, 26, 0.08);
}
:root[data-playroom-dark] {
  --_17o8sd60: hsla(0, 0%, 93%, 1);
  --_17o8sd61: color-mix(in srgb, hsla(206, 100%, 96%, 1) 50%, hsla(210, 100%, 66%, 1));
  --_17o8sd62: hsla(210, 100%, 66%, 1);
  --_17o8sd63: color-mix(in srgb, hsla(166, 71%, 93%, 1) 50%, hsla(174, 90%, 41%, 1));
  --_17o8sd64: hsla(212, 100%, 41%, 1);
  --_17o8sd65: hsla(212, 100%, 48%, 1);
  --_17o8sd66: hsla(275, 80%, 71%, 1);
  --_17o8sd67: hsla(0, 0%, 93%, 1);
  --_17o8sd68: hsla(0, 0%, 9%, 1);
  --_17o8sd69: hsla(0, 0%, 56%, 1);
  --_17o8sd6a: hsla(358, 100%, 69%, 1);
  --_17o8sd6b: hsla(210, 100%, 66%, 1);
  --_17o8sd6c: hsla(174, 90%, 41%, 1);
  --_17o8sd6d: hsla(0, 0%, 93%, 1);
  --_17o8sd6e: hsla(210, 100%, 66%, 1);
  --_17o8sd6f: color-mix(in srgb, #000 10%, hsla(210, 100%, 66%, 1));
  --_17o8sd6g: hsla(0, 0%, 93%, 1);
  --_17o8sd6h: color-mix(in srgb, #000 10%, hsla(0, 0%, 93%, 1));
  --_17o8sd6i: hsla(171, 75%, 13%, 1);
  --_17o8sd6j: hsla(356, 54%, 22%, 1);
  --_17o8sd6k: hsla(0,0%,0%,1);
  --_17o8sd6l: hsla(0,0%,6%,1);
  --_17o8sd6m: hsla(0,0%,2%,1);
  --_17o8sd6n: hsla(0,0%,12%,1);
  --_17o8sd6o: hsla(0,0%,0%,1);
  --_17o8sd6p: hsla(212, 78%, 23%, 1);
  --_17o8sd6q: color-mix(in srgb, hsla(0,0%,98%,1) 50%, hsla(0,0%,100%,1));
  --_17o8sd6r: hsla(0, 0%, 18%, 1);
  --_17o8sd6s: hsla(210, 100%, 66%, 1);
  --_17o8sd6t: hsla(0, 0%, 12%, 1);
  --_17o8sd6u: hsla(206, 100%, 50%, 1);
  --_17o8sd6v: 0 1px 2px rgb(from #000 r g b / calc(alpha - 0.85)), 0 6px 18px -6px rgb(from #000 r g b / calc(alpha - 0.92));
}
._17o8sd6w {
  position: absolute;
}
._17o8sd6x {
  position: relative;
}
._17o8sd6y {
  position: fixed;
}
._17o8sd6z {
  top: 0;
}
._17o8sd610 {
  bottom: 0;
}
._17o8sd611 {
  left: 0;
}
._17o8sd612 {
  right: 0;
}
._17o8sd613 {
  display: none;
}
._17o8sd614 {
  display: flex;
}
._17o8sd615 {
  display: block;
}
._17o8sd616 {
  display: inline;
}
._17o8sd617 {
  flex-direction: row;
}
._17o8sd618 {
  flex-direction: column;
}
._17o8sd619 {
  flex-direction: row-reverse;
}
._17o8sd61a {
  flex-wrap: wrap;
}
._17o8sd61b {
  flex-grow: 0;
}
._17o8sd61c {
  flex-grow: 1;
}
._17o8sd61d {
  justify-content: stretch;
}
._17o8sd61e {
  justify-content: flex-start;
}
._17o8sd61f {
  justify-content: center;
}
._17o8sd61g {
  justify-content: flex-end;
}
._17o8sd61h {
  justify-content: space-around;
}
._17o8sd61i {
  justify-content: space-between;
}
._17o8sd61j {
  align-items: stretch;
}
._17o8sd61k {
  align-items: flex-start;
}
._17o8sd61l {
  align-items: center;
}
._17o8sd61m {
  align-items: flex-end;
}
._17o8sd61n {
  gap: var(--_1bpha6dg);
}
._17o8sd61o {
  gap: var(--_1bpha6dh);
}
._17o8sd61p {
  gap: var(--_1bpha6di);
}
._17o8sd61q {
  gap: var(--_1bpha6dj);
}
._17o8sd61r {
  gap: var(--_1bpha6dk);
}
._17o8sd61s {
  gap: var(--_1bpha6dl);
}
._17o8sd61t {
  gap: var(--_1bpha6dm);
}
._17o8sd61u {
  gap: var(--_1bpha6dn);
}
._17o8sd61v {
  gap: var(--_1bpha6do);
}
._17o8sd61w {
  gap: var(--_1bpha6dp);
}
._17o8sd61x {
  padding-top: var(--_1bpha6dg);
}
._17o8sd61y {
  padding-top: var(--_1bpha6dh);
}
._17o8sd61z {
  padding-top: var(--_1bpha6di);
}
._17o8sd620 {
  padding-top: var(--_1bpha6dj);
}
._17o8sd621 {
  padding-top: var(--_1bpha6dk);
}
._17o8sd622 {
  padding-top: var(--_1bpha6dl);
}
._17o8sd623 {
  padding-top: var(--_1bpha6dm);
}
._17o8sd624 {
  padding-top: var(--_1bpha6dn);
}
._17o8sd625 {
  padding-top: var(--_1bpha6do);
}
._17o8sd626 {
  padding-top: var(--_1bpha6dp);
}
._17o8sd627 {
  padding-bottom: var(--_1bpha6dg);
}
._17o8sd628 {
  padding-bottom: var(--_1bpha6dh);
}
._17o8sd629 {
  padding-bottom: var(--_1bpha6di);
}
._17o8sd62a {
  padding-bottom: var(--_1bpha6dj);
}
._17o8sd62b {
  padding-bottom: var(--_1bpha6dk);
}
._17o8sd62c {
  padding-bottom: var(--_1bpha6dl);
}
._17o8sd62d {
  padding-bottom: var(--_1bpha6dm);
}
._17o8sd62e {
  padding-bottom: var(--_1bpha6dn);
}
._17o8sd62f {
  padding-bottom: var(--_1bpha6do);
}
._17o8sd62g {
  padding-bottom: var(--_1bpha6dp);
}
._17o8sd62h {
  padding-left: var(--_1bpha6dg);
}
._17o8sd62i {
  padding-left: var(--_1bpha6dh);
}
._17o8sd62j {
  padding-left: var(--_1bpha6di);
}
._17o8sd62k {
  padding-left: var(--_1bpha6dj);
}
._17o8sd62l {
  padding-left: var(--_1bpha6dk);
}
._17o8sd62m {
  padding-left: var(--_1bpha6dl);
}
._17o8sd62n {
  padding-left: var(--_1bpha6dm);
}
._17o8sd62o {
  padding-left: var(--_1bpha6dn);
}
._17o8sd62p {
  padding-left: var(--_1bpha6do);
}
._17o8sd62q {
  padding-left: var(--_1bpha6dp);
}
._17o8sd62r {
  padding-right: var(--_1bpha6dg);
}
._17o8sd62s {
  padding-right: var(--_1bpha6dh);
}
._17o8sd62t {
  padding-right: var(--_1bpha6di);
}
._17o8sd62u {
  padding-right: var(--_1bpha6dj);
}
._17o8sd62v {
  padding-right: var(--_1bpha6dk);
}
._17o8sd62w {
  padding-right: var(--_1bpha6dl);
}
._17o8sd62x {
  padding-right: var(--_1bpha6dm);
}
._17o8sd62y {
  padding-right: var(--_1bpha6dn);
}
._17o8sd62z {
  padding-right: var(--_1bpha6do);
}
._17o8sd630 {
  padding-right: var(--_1bpha6dp);
}
._17o8sd631 {
  margin-top: var(--_1bpha6dg);
}
._17o8sd632 {
  margin-top: var(--_1bpha6dh);
}
._17o8sd633 {
  margin-top: var(--_1bpha6di);
}
._17o8sd634 {
  margin-top: var(--_1bpha6dj);
}
._17o8sd635 {
  margin-top: var(--_1bpha6dk);
}
._17o8sd636 {
  margin-top: var(--_1bpha6dl);
}
._17o8sd637 {
  margin-top: var(--_1bpha6dm);
}
._17o8sd638 {
  margin-top: var(--_1bpha6dn);
}
._17o8sd639 {
  margin-top: var(--_1bpha6do);
}
._17o8sd63a {
  margin-top: var(--_1bpha6dp);
}
._17o8sd63b {
  margin-top: auto;
}
._17o8sd63c {
  margin-bottom: var(--_1bpha6dg);
}
._17o8sd63d {
  margin-bottom: var(--_1bpha6dh);
}
._17o8sd63e {
  margin-bottom: var(--_1bpha6di);
}
._17o8sd63f {
  margin-bottom: var(--_1bpha6dj);
}
._17o8sd63g {
  margin-bottom: var(--_1bpha6dk);
}
._17o8sd63h {
  margin-bottom: var(--_1bpha6dl);
}
._17o8sd63i {
  margin-bottom: var(--_1bpha6dm);
}
._17o8sd63j {
  margin-bottom: var(--_1bpha6dn);
}
._17o8sd63k {
  margin-bottom: var(--_1bpha6do);
}
._17o8sd63l {
  margin-bottom: var(--_1bpha6dp);
}
._17o8sd63m {
  margin-bottom: auto;
}
._17o8sd63n {
  margin-left: var(--_1bpha6dg);
}
._17o8sd63o {
  margin-left: var(--_1bpha6dh);
}
._17o8sd63p {
  margin-left: var(--_1bpha6di);
}
._17o8sd63q {
  margin-left: var(--_1bpha6dj);
}
._17o8sd63r {
  margin-left: var(--_1bpha6dk);
}
._17o8sd63s {
  margin-left: var(--_1bpha6dl);
}
._17o8sd63t {
  margin-left: var(--_1bpha6dm);
}
._17o8sd63u {
  margin-left: var(--_1bpha6dn);
}
._17o8sd63v {
  margin-left: var(--_1bpha6do);
}
._17o8sd63w {
  margin-left: var(--_1bpha6dp);
}
._17o8sd63x {
  margin-left: auto;
}
._17o8sd63y {
  margin-right: var(--_1bpha6dg);
}
._17o8sd63z {
  margin-right: var(--_1bpha6dh);
}
._17o8sd640 {
  margin-right: var(--_1bpha6di);
}
._17o8sd641 {
  margin-right: var(--_1bpha6dj);
}
._17o8sd642 {
  margin-right: var(--_1bpha6dk);
}
._17o8sd643 {
  margin-right: var(--_1bpha6dl);
}
._17o8sd644 {
  margin-right: var(--_1bpha6dm);
}
._17o8sd645 {
  margin-right: var(--_1bpha6dn);
}
._17o8sd646 {
  margin-right: var(--_1bpha6do);
}
._17o8sd647 {
  margin-right: var(--_1bpha6dp);
}
._17o8sd648 {
  margin-right: auto;
}
._17o8sd649 {
  overflow: hidden;
}
._17o8sd64a {
  overflow: auto;
}
._17o8sd64b {
  box-shadow: var(--_17o8sd6v);
}
._17o8sd64c {
  border-radius: var(--_1bpha6d8);
}
._17o8sd64d {
  border-radius: var(--_1bpha6d9);
}
._17o8sd64e {
  border-radius: var(--_1bpha6da);
}
._17o8sd64f {
  border-radius: var(--_1bpha6db);
}
._17o8sd64g {
  transition: var(--_1bpha6dd);
}
._17o8sd64h {
  transition: var(--_1bpha6de);
}
._17o8sd64i {
  transition: var(--_1bpha6df);
}
._17o8sd64j {
  cursor: pointer;
}
._17o8sd64k {
  pointer-events: none;
}
._17o8sd64l {
  pointer-events: auto;
}
._17o8sd64m {
  user-select: none;
}
._17o8sd64n {
  appearance: none;
}
._17o8sd64o {
  opacity: 0;
}
._17o8sd64p {
  z-index: 0;
}
._17o8sd64q {
  z-index: 1;
}
._17o8sd64r {
  font: var(--_1bpha6d2);
}
._17o8sd64s {
  font: var(--_1bpha6d3);
}
._17o8sd64t {
  font: var(--_1bpha6d4);
}
._17o8sd64u {
  font: var(--_1bpha6d5);
}
._17o8sd64v {
  font-weight: var(--_1bpha6d6);
}
._17o8sd64w {
  font-weight: var(--_1bpha6d7);
  font-variation-settings: "wght" 600;
}
._17o8sd64x {
  width: 100%;
}
._17o8sd64y {
  width: 100dvw;
}
._17o8sd64z {
  height: 100%;
}
._17o8sd650 {
  height: 100dvh;
}
._17o8sd651 {
  white-space: nowrap;
}
._17o8sd652 {
  box-sizing: border-box;
}
._17o8sd653 {
  text-align: center;
}
._17o8sd654 {
  text-align: left;
}
._17o8sd655 {
  text-align: right;
}
._17o8sd656 {
  border: 0;
}
._19n6lle4 {
  font-size: var(--_19n6lle0);
  line-height: var(--_19n6lle1);
}
._19n6lle4::before {
  content: '';
  margin-bottom: var(--_19n6lle2);
  display: table;
}
._19n6lle4::after {
  content: '';
  margin-top: var(--_19n6lle3);
  display: table;
}
._18324m01 {
  font-family: var(--_1bpha6d0);
}
._18324m02 {
  --_19n6lle0: 10px;
  --_19n6lle1: 14px;
  --_19n6lle2: -0.363em;
  --_19n6lle3: -0.292em;
}
._18324m03 {
  --_19n6lle0: 12px;
  --_19n6lle1: 16px;
  --_19n6lle2: -0.3297em;
  --_19n6lle3: -0.2587em;
}
._18324m04 {
  --_19n6lle0: 14px;
  --_19n6lle1: 24px;
  --_19n6lle2: -0.5201em;
  --_19n6lle3: -0.4491em;
}
._18324m05 {
  --_19n6lle0: 16px;
  --_19n6lle1: 22px;
  --_19n6lle2: -0.3505em;
  --_19n6lle3: -0.2795em;
}
._18324m09 {
  color: var(--_17o8sd67);
}
._18324m0a {
  color: var(--_17o8sd6a);
}
._18324m0b {
  color: var(--_17o8sd69);
}
._18324m0c {
  color: var(--_17o8sd6c);
}
._18324m0e {
  text-decoration: underline;
  text-underline-offset: 3px;
}
._18324m0g {
  text-overflow: ellipsis;
}
._1bk76dk1 {
  background-color: var(--_17o8sd6m);
  transform-origin: var(--transform-origin);
  outline: 1px solid var(--_17o8sd6r);
}
._1bk76dk2::before {
  content: "";
  position: absolute;
  min-height: var(--_1bpha6dc);
  min-width: var(--_1bpha6dc);
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
  width: 100%;
  height: 100%;
}
._1jsnpbc1 {
  --_17o8sd67: var(--_17o8sd6d);
  background-color: var(--_17o8sd6o);
  outline: 1px solid var(--_17o8sd6t);
  outline-offset: -1px;
}
.uljcax3 {
  background: transparent;
  outline: none;
  height: var(--uljcax0) !important;
  width: var(--uljcax0) !important;
}
.uljcax6 {
  padding: var(--uljcax4);
  border-radius: inherit;
  background: transparent;
  outline: none;
  isolation: isolate;
}
.uljcax3:active .uljcax6 {
  transform: scale(.95);
}
.uljcax3:focus-visible .uljcax6 {
  outline: 2px solid var(--_17o8sd6u);
}
.uljcax3[aria-disabled="true"] .uljcax6 {
  --uljcax1: var(--_17o8sd69);
}
.uljcax7 {
  --uljcax0: var(--_1bpha6dq);
  --uljcax4: var(--_1bpha6di);
}
.uljcax8 {
  --uljcax0: var(--_1bpha6dr);
  --uljcax4: var(--_1bpha6dj);
}
.uljcax9 {
  --uljcax0: var(--_1bpha6ds);
  --uljcax4: var(--_1bpha6dj);
}
.uljcaxj {
  --uljcaxa: var(--_17o8sd67);
  --uljcaxb: var(--_17o8sd6l);
  --uljcaxc: var(--_17o8sd6n);
  --uljcaxd: var(--_17o8sd68);
  --uljcaxe: var(--_17o8sd6g);
  --uljcaxf: var(--_17o8sd6h);
  --uljcaxg: var(--_17o8sd67);
  --uljcaxh: var(--_17o8sd67);
  --uljcaxi: var(--_17o8sd6n);
}
.uljcaxk {
  --uljcaxa: var(--_17o8sd6b);
  --uljcaxb: var(--_17o8sd6l);
  --uljcaxc: var(--_17o8sd6n);
  --uljcaxd: var(--_17o8sd68);
  --uljcaxe: var(--_17o8sd6b);
  --uljcaxf: var(--_17o8sd6f);
  --uljcaxg: var(--_17o8sd6b);
  --uljcaxh: var(--_17o8sd68);
  --uljcaxi: var(--_17o8sd6e);
}
.uljcaxl {
  color: var(--uljcaxa);
  background-color: var(--uljcaxb);
  outline: 1px solid var(--_17o8sd6r);
  outline-offset: -1px;
}
.uljcax3:not([aria-disabled="true"]):hover > .uljcaxl, .uljcax3:not([aria-disabled="true"]):focus-visible > .uljcaxl, .uljcax3:not([aria-disabled="true"])[data-popup-open] > .uljcaxl {
  background-color: var(--uljcaxc);
}
.uljcaxm {
  color: var(--uljcaxd);
  background-color: var(--uljcaxe);
}
.uljcax3:not([aria-disabled="true"]):hover > .uljcaxm, .uljcax3:not([aria-disabled="true"]):focus-visible > .uljcaxm, .uljcax3:not([aria-disabled="true"])[data-popup-open] > .uljcaxm {
  background-color: var(--uljcaxf);
}
.uljcaxn {
  color: var(--uljcaxg);
}
.uljcax3:not([aria-disabled="true"]):hover > .uljcaxn, .uljcax3:not([aria-disabled="true"]):focus-visible > .uljcaxn, .uljcax3:not([aria-disabled="true"])[data-popup-open] > .uljcaxn {
  color: var(--uljcaxh);
  background-color: var(--uljcaxi);
}
.uljcaxo {
  margin: calc((var(--uljcax4) + 2px) * -1);
}
.uljcax6 > svg {
  display: block;
  height: 100%;
  width: 100%;
}
.oiym4b2 {
  background: transparent;
  outline: none;
  text-decoration: none;
  -webkit-tap-highlight-color: transparent;
}
.oiym4b4 {
  border: 1px solid var(--_17o8sd6r);
  background-color: var(--_17o8sd6l);
  isolation: isolate;
  outline: none;
  transform-origin: center;
}
.oiym4b4::after {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--_17o8sd6n);
  opacity: 0;
  transition: opacity 120ms ease;
  pointer-events: none;
}
.oiym4b4:hover::after {
  opacity: 1;
}
.oiym4b4:focus-visible::after {
  opacity: 1;
}
.oiym4b4:active:not([disabled]) {
  transform: scale(0.97);
}
.oiym4b4:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 0;
}
.oiym4b6 {
  isolation: isolate;
}
.oiym4b8 {
  height: var(--oiym4b0);
}
.oiym4ba {
  border-color: var(--_17o8sd6c);
}
.oiym4ba::after {
  background-color: var(--_17o8sd6i);
}
.oiym4bb {
  border-color: var(--_17o8sd6a);
}
.oiym4bb::after {
  background-color: var(--_17o8sd6j);
}
.oiym4bc {
  --oiym4b0: var(--_1bpha6dq);
}
.oiym4bd {
  --oiym4b0: var(--_1bpha6dr);
}
.oiym4be {
  --oiym4b0: var(--_1bpha6ds);
}
._15p4k4p2 {
  top: var(--_1bpha6dj);
  left: var(--_1bpha6dj);
  right: var(--_1bpha6dj);
  margin-inline: auto;
  width: fit-content;
  max-width: 80ex;
  background: hsla(358, 66%, 48%, 1);
  box-shadow: 0 2px 10px -2px hsla(358, 66%, 48%, 1);
  word-break: break-word;
  white-space: pre-line;
  user-select: all;
}
._15p4k4p2:not(._15p4k4p0) {
  transform: translateY(calc(var(--_1bpha6dj) * -1));
  transition: none;
  opacity: 0;
}
._15p4k4p2 a {
  color: inherit;
}
._15p4k4p3 {
  transition-delay: 1000ms;
}
._15p4k4p6 {
  color: hsla(0, 0%, 93%, 1);
}
._2cv1wf0 {
  isolation: isolate;
  white-space: nowrap;
}
._2cv1wf1 {
  display: inline-grid;
  grid-auto-flow: column;
  grid-auto-columns: 1fr;
  align-items: baseline;
  justify-items: center;
}
@media screen and (max-width: 767px) {
  ._2cv1wf3 {
    display: none;
  }
}
.r2l0jf1 {
  -webkit-overflow-scrolling: touch;
  -webkit-mask-composite: destination-in;
  mask-composite: intersect;
}
.r2l0jf2 {
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.r2l0jf2::-webkit-scrollbar {
  width: 0;
  height: 0;
}
.r2l0jf4 {
  --r2l0jf3: 30px;
}
.r2l0jf5 {
  --r2l0jf3: 45px;
}
.r2l0jf6 {
  --r2l0jf3: 60px;
}
.r2l0jf7 {
  overflow-x: auto;
  overflow-y: hidden;
}
.r2l0jf8 {
  overflow-x: hidden;
  overflow-y: auto;
}
.r2l0jf9 {
  overflow: auto;
}
.r2l0jfe {
  mask-image: linear-gradient(to bottom, transparent 0, black var(--r2l0jfc, 0)),linear-gradient(to right, transparent 0, black var(--r2l0jfa, 0)),linear-gradient(to left, transparent 0, black var(--r2l0jfb, 0)),linear-gradient(to top, transparent 0, black var(--r2l0jfd, 0));
}
.r2l0jff {
  --r2l0jfa: var(--r2l0jf3);
}
.r2l0jfg {
  --r2l0jfb: var(--r2l0jf3);
}
.r2l0jfh {
  --r2l0jfc: var(--r2l0jf3);
}
.r2l0jfi {
  --r2l0jfd: var(--r2l0jf3);
}
._1bytdfm2 {
  max-height: var(--available-height);
  max-width: var(--available-width);
}
._1bytdfm3 {
  width: 250px;
}
._1bytdfm6 {
  --_1bytdfm4: var(--_17o8sd6n);
  outline: none;
  cursor: default;
  color: var(--_17o8sd67);
  height: 34px;
  isolation: isolate;
}
._1bytdfm6::before {
  content: "";
  pointer-events: none;
  position: absolute;
  inset-block: 0;
  inset-inline: 0;
  border-radius: var(--_1bpha6d8);
  z-index: -1;
}
._1bytdfm6[data-popup-open]:not([aria-disabled])::before, ._1bytdfm6[data-highlighted]:not([aria-disabled])::before {
  background-color: var(--_1bytdfm4);
}
._1bytdfm6:focus-visible::before {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: -2px;
}
._1bytdfm6[aria-disabled] {
  color: var(--_17o8sd69);
  cursor: not-allowed;
}
._1bytdfm7 {
  cursor: pointer;
  text-decoration: none;
}
._1bytdfm7[aria-disabled] {
  cursor: not-allowed;
}
._1bytdfm8 {
  margin-left: 3px;
}
._1bytdfm9 {
  --_1bytdfm4: var(--_17o8sd6j);
  color: var(--_17o8sd6a);
}
._1bytdfma {
  --_1bytdfm4: transparent;
  color: var(--_17o8sd6c);
}
._1bytdfma svg {
  color: var(--_17o8sd6c);
}
._1bytdfmc {
  isolation: isolate;
}
._1bytdfmg {
  position: relative;
  height: 16px;
  width: 16px;
  color: inherit;
  z-index: 1;
}
._1bytdfmi {
  position: relative;
  height: 16px;
  width: 16px;
  color: var(--_17o8sd67);
  z-index: 1;
}
[aria-checked="true"] ._1bytdfmi {
  color: var(--_17o8sd68);
}
._1bytdfmk {
  height: 16px;
  width: 16px;
  box-sizing: border-box;
  background-color: transparent;
  border: 1px solid var(--_17o8sd67);
  isolation: isolate;
}
[aria-checked="true"] ._1bytdfmk {
  background-color: var(--_17o8sd6e);
  border-color: var(--_17o8sd6e);
}
._1bytdfmp {
  height: 34px;
}
._1bytdfmr {
  height: 1px;
  background-color: var(--_17o8sd6r);
}
._1bytdfmt {
  background: transparent;
  border: none;
}
._1bytdfmt:hover, ._1bytdfmt[data-highlighted] {
  background-color: var(--_17o8sd6n);
}
._1bytdfmt:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: -2px;
}
._9ghdzg1 {
  justify-content: safe center;
}
._9ghdzg5 {
  flex-shrink: 0;
  width: var(--_9ghdzg2);
}
._9ghdzg5:last-child {
  padding-right: var(--_1bpha6dn);
}
._9ghdzg6 {
  transition: color 150ms ease;
}
._9ghdzg5:hover ._9ghdzg6, ._9ghdzg5:focus-within ._9ghdzg6, ._9ghdzg3 ._9ghdzg6 {
  color: var(--_17o8sd6b);
}
._9ghdzg8 {
  outline: 1px solid var(--_17o8sd6r);
}
._9ghdzga {
  transition: opacity 150ms ease;
}
._9ghdzg5:not(:hover, :focus-within, ._9ghdzg3) ._9ghdzga {
  opacity: 1;
}
._9ghdzgc {
  isolation: isolate;
  background: #fff;
  outline: 2px solid transparent;
  transition: outline-color 150ms ease, opacity 150ms ease;
}
._9ghdzga:hover ~ ._9ghdzg8 ._9ghdzgc, ._9ghdzga:focus-within ~ ._9ghdzg8._9ghdzgc {
  outline-color: var(--_17o8sd6b);
}
._9ghdzge {
  transition: opacity 150ms ease;
}
._9ghdzg5:not(:hover, :focus-within, ._9ghdzg3) ._9ghdzge {
  opacity: 0;
}
._1ehtwc1 {
  color: var(--_17o8sd67);
  font-family: var(--_1bpha6d0);
}
._1ehtwc2 {
  --_19n6lle0: 36px;
  --_19n6lle1: 44px;
  --_19n6lle2: -0.2741em;
  --_19n6lle3: -0.2031em;
}
._1ehtwc3 {
  --_19n6lle0: 20px;
  --_19n6lle1: 28px;
  --_19n6lle2: -0.363em;
  --_19n6lle3: -0.292em;
}
._1ehtwc4 {
  --_19n6lle0: 16px;
  --_19n6lle1: 20px;
  --_19n6lle2: -0.288em;
  --_19n6lle3: -0.217em;
}
._1o3xsbn1 {
  display: flex;
  flex-direction: column;
  gap: var(--_1o3xsbn0);
}
._1o3xsbn2 {
  --_1o3xsbn0: var(--_1bpha6dg);
}
._1o3xsbn3 {
  --_1o3xsbn0: var(--_1bpha6dh);
}
._1o3xsbn4 {
  --_1o3xsbn0: var(--_1bpha6di);
}
._1o3xsbn5 {
  --_1o3xsbn0: var(--_1bpha6dj);
}
._1o3xsbn6 {
  --_1o3xsbn0: var(--_1bpha6dk);
}
._1o3xsbn7 {
  --_1o3xsbn0: var(--_1bpha6dl);
}
._1o3xsbn8 {
  --_1o3xsbn0: var(--_1bpha6dm);
}
._1o3xsbn9 {
  --_1o3xsbn0: var(--_1bpha6dn);
}
._1o3xsbna {
  --_1o3xsbn0: var(--_1bpha6do);
}
._1o3xsbnb {
  --_1o3xsbn0: var(--_1bpha6dp);
}
._1o3xsbnc {
  align-items: flex-start;
}
._1o3xsbnd {
  align-items: center;
}
._1o3xsbne {
  align-items: flex-end;
}
._1fqvht92 {
  display: flex;
  flex-direction: row;
  gap: var(--_1fqvht90);
  align-items: var(--_1fqvht91);
}
._1fqvht93 {
  flex-wrap: wrap;
}
._1fqvht94 {
  --_1fqvht90: var(--_1bpha6dg);
}
._1fqvht95 {
  --_1fqvht90: var(--_1bpha6dh);
}
._1fqvht96 {
  --_1fqvht90: var(--_1bpha6di);
}
._1fqvht97 {
  --_1fqvht90: var(--_1bpha6dj);
}
._1fqvht98 {
  --_1fqvht90: var(--_1bpha6dk);
}
._1fqvht99 {
  --_1fqvht90: var(--_1bpha6dl);
}
._1fqvht9a {
  --_1fqvht90: var(--_1bpha6dm);
}
._1fqvht9b {
  --_1fqvht90: var(--_1bpha6dn);
}
._1fqvht9c {
  --_1fqvht90: var(--_1bpha6do);
}
._1fqvht9d {
  --_1fqvht90: var(--_1bpha6dp);
}
._1fqvht9e {
  align-items: flex-start;
}
._1fqvht9f {
  align-items: center;
}
._1fqvht9g {
  align-items: flex-end;
}
.qjylj21 {
  backdrop-filter: blur(6px);
}
.qjylj21::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--_17o8sd6k);
  opacity: 0.4;
}
html[data-playroom-dark] .qjylj21::before {
  opacity: 0.7;
}
.qjylj21[data-starting-style]::before, .qjylj21[data-ending-style]::before {
  opacity: 0;
}
.qjylj23 {
  align-self: center;
  justify-self: center;
  max-width: calc(100dvw - (var(--_1bpha6dk) * 2));
  max-height: calc(100dvh - (var(--_1bpha6dk) * 2));
}
.qjylj23[data-starting-style], .qjylj23[data-ending-style] {
  transform: scale(0.98);
  opacity: 0;
}
.qjylj27:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 2px;
}
.hvc2e10 {
  width: 200px;
}
.fq2mne1 {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  justify-content: space-between;
  align-items: center;
  background-color: var(--_17o8sd6l);
}
.fq2mne2 {
  width: fit-content;
}
.fq2mne4 {
  width: fit-content;
  justify-self: flex-end;
}
.fq2mne7:not(.fq2mne5) {
  opacity: 0;
  transform: translateX(var(--_1bpha6dj));
  pointer-events: none;
}
.fq2mne9 {
  background: transparent;
  color: var(--_17o8sd6g);
  isolation: isolate;
}
.fq2mne9::after {
  content: "";
  position: absolute;
  transition: var(--_1bpha6df);
  z-index: -1;
  inset: calc(var(--_1bpha6dj) * -1);
  background-color: var(--_17o8sd6n);
  border-radius: var(--_1bpha6d9);
}
.fq2mne9:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 6px;
}
.fq2mne9:not(:hover, :focus-visible, [data-popup-open])::after {
  opacity: 0;
}
.fq2mneb {
  margin: calc(var(--_1bpha6dk) * -1);
  height: 60vh;
  max-height: 700px;
  width: 60vw;
  max-width: 75vw;
}
.fq2mnef {
  appearance: none;
  outline: none;
  background: var(--_17o8sd6l);
  color: var(--_17o8sd67);
  border: 1px solid var(--_17o8sd6r);
  height: var(--_1bpha6dr);
}
.fq2mnef:hover, .fq2mnef[data-popup-open] {
  background-color: var(--_17o8sd6n);
}
.fq2mnef:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  z-index: 1;
}
.fq2mneh {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  margin-right: -1px;
}
.fq2mnej {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.fq2mnek {
  color: var(--_17o8sd6c);
}
.fq2mnem {
  height: 1px;
  background-color: var(--_17o8sd6r);
}
@media screen and (max-width: 767px) {
  .fq2mne4 {
    display: none;
  }
}
.jlp9g52 {
  flex: 1;
  min-height: 0;
}
.jlp9g55 {
  --jlp9g53: 1;
  padding: 2px;
  display: grid;
  grid-template-columns: repeat(var(--jlp9g53), 1fr);
}
.jlp9g57 {
  aspect-ratio: 5/4;
  list-style: none;
}
.jlp9g59 {
  height: calc(100% / var(--jlp9g50));
  width: calc(100% / var(--jlp9g50));
  border-radius: calc(var(--_1bpha6d9) / var(--jlp9g50));
  transform: scale(var(--jlp9g50));
  transform-origin: 0 0;
  padding: calc(1px / var(--jlp9g50));
}
.jlp9g5b {
  background: var(--_17o8sd6n);
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
.jlp9g5d {
  background: transparent;
  outline: 1px solid var(--_17o8sd6r);
}
.jlp9g5d:hover {
  outline: 2px solid var(--_17o8sd6s);
}
.jlp9g5d:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 2px;
}
.jlp9g5h {
  list-style: none;
}
.jlp9g5j {
  width: 100%;
  text-align: left;
  background: transparent;
  outline: 1px solid var(--_17o8sd6r);
}
.jlp9g5j:hover {
  outline: 2px solid var(--_17o8sd6s);
}
.jlp9g5j:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 2px;
}
@media screen and (min-width: 500px) {
  .jlp9g55 {
    --jlp9g53: 2;
  }
}
@media screen and (min-width: 800px) {
  .jlp9g55 {
    --jlp9g53: 3;
  }
}
@media screen and (min-width: 1200px) {
  .jlp9g55 {
    --jlp9g53: 4;
  }
}
@media screen and (min-width: 1600px) {
  .jlp9g55 {
    --jlp9g53: 5;
  }
}
._1h1k4eq1 {
  width: fit-content;
}
._1h1k4eq3:focus-visible ~ ._1h1k4eq5 {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 4px;
}
._1h1k4eq8 {
  min-width: 0;
}
._1h1k4eq9 {
  flex-shrink: 0;
}
._1t82fk12 {
  outline: none;
  height: var(--_1bpha6dr);
  color: var(--_17o8sd67);
  background: transparent;
}
._1t82fk12::placeholder {
  color: var(--_17o8sd69);
  font-weight: strong;
}
._1t82fk12:hover:not(:focus-visible), ._1t82fk12:hover:not(:focus-visible)::placeholder {
  background: var(--_17o8sd6n);
  opacity: 1;
  color: transparent;
}
._1t82fk12:hover:not(:focus-visible)::selection {
  background: transparent;
}
._1t82fk12:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 0;
  opacity: 1;
}
._1t82fk12:focus-visible::placeholder {
  color: transparent;
}
._1t82fk14 {
  max-width: 50vw;
  min-width: 240px;
  white-space: pre;
  color: var(--_17o8sd67);
}
._1t82fk12:focus-visible ~ ._1t82fk14 {
  opacity: 0;
}
._1t82fk15 {
  color: var(--_17o8sd69);
}
